EventEmitter = require "eventemitter3"

class Bridge extends EventEmitter

	constructor: ->
		window?._receive = @receive
		@count = 0

	receive: (command, info) =>
		console.log "#{@count++} bridge.receive", command, info if @debug
		@emit(command, info)

	send: (command, info) ->
		console.log "#{@count++} bridge.send", command, info if @debug
		window?._bridge?(command, info)

exports.bridge = new Bridge()
