plugin.run = (contents, options) ->
	"""
#{contents}

# Set background
bg = new BackgroundLayer backgroundColor: "#28affa"
bg.bringToFront()

# Variables
rows = cols = 3
gutter = 10
width  = 100
height = 100

# Wrapper that will center the grid
wrapper = new Layer 
	backgroundColor: "transparent", clip: false
	width: 320, height: 320
	
# Create the grid layers
for rowIndex in [0...rows]
	for colIndex in [0...cols]
		
		cell = new Layer
			width:  width
			height: height
			x: colIndex * (width + gutter)
			y: rowIndex * (height + gutter)
			borderRadius: 2
			backgroundColor: "#fff"
			parent: wrapper
			
# Center the wrapper
wrapper.center()
	"""