(function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(i)return i(o,!0);throw new Error("Cannot find module '"+o+"'")}var f=n[o]={exports:{}};t[o][0].call(f.exports,function(e){var n=t[o][1][e];return s(n?n:e)},f,f.exports,e,t,n,r)}return n[o].exports}var i=typeof require=="function"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(require,module,exports){
var App, DEBUG, Defaults, PropertiesPanel, app,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

DEBUG = Utils.isChrome() || Utils.isSafari();

PropertiesPanel = require("./concrete/PropertiesPanel").PropertiesPanel;

Defaults = require("./Defaults").Defaults;

App = (function(superClass) {
  extend(App, superClass);

  function App(options) {
    if (options == null) {
      options = {};
    }
    App.__super__.constructor.call(this, _.defaults(options, {
      backgroundColor: "#FFF",
      width: Screen.width,
      height: Screen.height,
      clip: false
    }));
    this.setup();
  }

  App.prototype.setup = function() {
    var dataIn, defaults, editorMock, i, layerPanel, len, propertiesPanel, property, ref;
    editorMock = new Layer({
      parent: this,
      backgroundColor: Defaults.colors.editorBackground,
      height: Screen.height,
      width: 200,
      style: {
        "border-right": "1px solid #000"
      }
    });
    layerPanel = new Layer({
      parent: this,
      width: 208,
      x: 200,
      height: Screen.height,
      backgroundColor: Defaults.colors.layerPanelBackground
    });
    propertiesPanel = new PropertiesPanel({
      parent: layerPanel,
      height: Screen.height
    });
    propertiesPanel.pixelAlign = true;
    dataIn = {
      x: 100,
      y: 20,
      width: 300,
      height: 400,
      backgroundColor: "#28affa",
      borderWidth: 3
    };
    defaults = {
      scale: 1,
      opacity: 1,
      borderRadius: 1,
      rotation: 45
    };
    ref = propertiesPanel.properties;
    for (i = 0, len = ref.length; i < len; i++) {
      property = ref[i];
      property.read(dataIn, defaults);
    }
    propertiesPanel.configure("@BackgroundLayer");
    return propertiesPanel.configure("@Layer");
  };

  return App;

})(Layer);

if (DEBUG) {
  app = new App;
}



},{"./Defaults":2,"./concrete/PropertiesPanel":6}],2:[function(require,module,exports){
exports.Defaults = (function() {
  function Defaults() {}

  Defaults.baseFont = {
    "font-family": "Roboto",
    "font-size": "12px",
    "font-weight": "500",
    "-webkit-user-select": "none",
    "-webkit-font-smoothing": "subpixel-antialiased",
    lineHeight: "11px"
  };

  Defaults.colors = {
    layerPanelBackground: "#141414",
    editorBackground: "#181818",
    appBackground: "#141414",
    panelStackBackground: "#181818",
    panelToggleBackground: "#141414",
    panelBackground: "#181818",
    textInputBackground: "#282828",
    textInputBorder: "#000",
    inputPlaceholderColor: "#424242",
    dialInputBorder: "#000",
    dialInputBackground: "#000",
    dialInputIndicator: "#585858",
    inputCursorColor: "#28AFFA",
    numberColor: "#AF8EFF",
    stringColor: "#9EE556"
  };

  Defaults.borders = {
    panelSegmentBottom: "1px solid #000"
  };

  Defaults.textStyles = {
    panelToggle: _.defaults({
      "font-size": "10px",
      "font-weight": "700",
      "color": "#626262"
    }, Defaults.baseFont),
    panelToggleActive: _.defaults({
      "font-size": "10px",
      "font-weight": "700",
      "color": "#626262"
    }, Defaults.baseFont),
    rowLabel: _.defaults({
      "font-size": "11px",
      "color": "#414141"
    }, Defaults.baseFont),
    rowLabelSelected: _.defaults({
      "font-size": "11px",
      "color": "#ffffff"
    }, Defaults.baseFont),
    textInput: _.defaults({
      "font-family": "Roboto Mono",
      "font-size": "11px",
      "-webkit-text-fill-color": "white"
    }, Defaults.baseFont),
    textInputHint: _.defaults({
      "font-size": "9px",
      "color": "#424242"
    }, Defaults.baseFont)
  };

  Defaults.metrics = {
    panelStackWidth: 208,
    panelToggleHeight: 22,
    panelToggleIconHeight: 5,
    panelToggleIconWidth: 5,
    panelToggleIconX: 4,
    panelToggleIconY: 8,
    panelToggleLabelX: 12,
    panelToggleLabelY: 5,
    emptyPanelHeight: 50,
    panelPaddingTop: 10,
    panelPaddingBottom: 16,
    panelRowHeight: 30,
    panelRowLabelX: 12,
    panelRowLabelY: 12,
    textInputWidth: 56,
    textInputHeight: 22,
    textInputInputTop: "0px",
    textInputInputLeft: "5px",
    textInputInputBottom: "2px",
    textInputInputRight: "0px",
    textInputLabelRHSPadding: 6,
    textInputLabelY: 6,
    stereoInputLeftX: 72,
    stereoInputLeftY: 6,
    stereoInputRightMaxX: 192,
    stereoInputRightY: 6,
    pairedInputGap: 8,
    colorInputButtonWidth: 22,
    colorInputButtonHeight: 22
  };

  Defaults.animations = {
    panelOpen: {
      time: 0.20,
      curve: "ease-in"
    },
    panelClose: {
      time: 0.20,
      curve: "ease-out"
    }
  };

  Defaults.images = {
    iconPanelClosed: "images/icon-panel-closed.pdf",
    iconPanelOpened: "images/icon-panel-opened.pdf",
    iconStepUpActive: "images/icon-code-up-active.png",
    iconStepUpInactive: "images/icon-code-up-inactive.png",
    iconStepDownActive: "images/icon-code-down-active.png",
    iconStepDownInactive: "images/icon-code-down-inactive.png"
  };

  return Defaults;

})();



},{}],3:[function(require,module,exports){
var ColorProperty, ComboTextInput, MonoInputRow, NumberInput, NumberProperty, PairedInputRow, Panel, PanelRow, Property, SliderInput, StereoInputRow, TextInput,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Property = require("./../data/Property").Property;

NumberProperty = require("./../data/NumberProperty").NumberProperty;

ColorProperty = require("./../data/ColorProperty").ColorProperty;

Panel = require("./../panel/Panel").Panel;

PanelRow = require("./../panel/PanelRow").PanelRow;

MonoInputRow = require("./../panel/MonoInputRow").MonoInputRow;

StereoInputRow = require("./../panel/StereoInputRow").StereoInputRow;

PairedInputRow = require("./../panel/PairedInputRow").PairedInputRow;

TextInput = require("./../input/TextInput").TextInput;

ComboTextInput = require("./../input/ComboTextInput").ComboTextInput;

NumberInput = require("./../input/NumberInput").NumberInput;

SliderInput = require("./../input/SliderInput").SliderInput;

exports.BorderPanel = (function(superClass) {
  extend(BorderPanel, superClass);

  function BorderPanel(options) {
    var colorRow, radiusRow, widthRow;
    if (options == null) {
      options = {};
    }
    this.caption = "Border";
    BorderPanel.__super__.constructor.call(this, _.defaults(options, {}));
    colorRow = new MonoInputRow({
      caption: "Color",
      properties: new ColorProperty({
        dataPath: "borderColor"
      })
    });
    radiusRow = new PairedInputRow({
      caption: "Radius",
      editorTypes: [NumberInput, SliderInput],
      property: new NumberProperty({
        dataPath: "borderRadius",
        sliderMin: 0,
        sliderMax: 100,
        step: 1,
        decimals: 0
      })
    });
    widthRow = new PairedInputRow({
      caption: "Width",
      editorTypes: [NumberInput, SliderInput],
      property: new NumberProperty({
        dataPath: "borderWidth",
        min: 0,
        slidermax: 10,
        step: 1,
        decimals: 0
      })
    });
    this.add(colorRow);
    this.add(radiusRow);
    this.add(widthRow);
  }

  return BorderPanel;

})(Panel);



},{"./../data/ColorProperty":9,"./../data/NumberProperty":10,"./../data/Property":11,"./../input/ComboTextInput":15,"./../input/NumberInput":18,"./../input/SliderInput":19,"./../input/TextInput":20,"./../panel/MonoInputRow":21,"./../panel/PairedInputRow":22,"./../panel/Panel":23,"./../panel/PanelRow":24,"./../panel/StereoInputRow":27}],4:[function(require,module,exports){
var ColorProperty, ComboTextInput, DialInput, MonoInputRow, NumberInput, NumberProperty, PairedInputRow, Panel, PanelRow, Property, SliderInput, StereoInputRow, TextInput,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Property = require("./../data/Property").Property;

NumberProperty = require("./../data/NumberProperty").NumberProperty;

ColorProperty = require("./../data/ColorProperty").ColorProperty;

Panel = require("./../panel/Panel").Panel;

PanelRow = require("./../panel/PanelRow").PanelRow;

MonoInputRow = require("./../panel/MonoInputRow").MonoInputRow;

StereoInputRow = require("./../panel/StereoInputRow").StereoInputRow;

PairedInputRow = require("./../panel/PairedInputRow").PairedInputRow;

TextInput = require("./../input/TextInput").TextInput;

ComboTextInput = require("./../input/ComboTextInput").ComboTextInput;

NumberInput = require("./../input/NumberInput").NumberInput;

SliderInput = require("./../input/SliderInput").SliderInput;

DialInput = require("./../input/DialInput").DialInput;

exports.FiltersPanel = (function(superClass) {
  extend(FiltersPanel, superClass);

  function FiltersPanel(options) {
    var blurRow, brightnessRow, contrastRow, grayscaleRow, huerotateRow, invertRow, saturateRow, sepiaRow;
    if (options == null) {
      options = {};
    }
    this.caption = "Filters";
    FiltersPanel.__super__.constructor.call(this, _.defaults(options, {}));
    blurRow = new PairedInputRow({
      caption: "Blur",
      editorTypes: [NumberInput, SliderInput],
      property: new NumberProperty({
        dataPath: "blur",
        min: 0,
        sliderMax: 50,
        step: 1,
        decimals: 0
      })
    });
    brightnessRow = new PairedInputRow({
      caption: "Brightness",
      editorTypes: [NumberInput, SliderInput],
      property: new NumberProperty({
        dataPath: "brightness",
        min: 0,
        sliderMax: 100,
        step: 1,
        decimals: 0
      })
    });
    contrastRow = new PairedInputRow({
      caption: "Contrast",
      editorTypes: [NumberInput, SliderInput],
      property: new NumberProperty({
        dataPath: "contrast",
        min: 0,
        max: 100,
        step: 1,
        decimals: 0
      })
    });
    grayscaleRow = new PairedInputRow({
      caption: "Grayscale",
      editorTypes: [NumberInput, SliderInput],
      property: new NumberProperty({
        dataPath: "grayscale",
        min: 0,
        max: 100,
        step: 1,
        decimals: 0
      })
    });
    huerotateRow = new PairedInputRow({
      caption: "hueRotate",
      editorTypes: [NumberInput, SliderInput],
      property: new NumberProperty({
        dataPath: "hueRotate",
        min: 0,
        max: 360,
        step: 1,
        decimals: 0
      })
    });
    invertRow = new PairedInputRow({
      caption: "Invert",
      editorTypes: [NumberInput, SliderInput],
      property: new NumberProperty({
        dataPath: "invert",
        min: 0,
        max: 100,
        step: 1,
        decimals: 0
      })
    });
    saturateRow = new PairedInputRow({
      caption: "Saturate",
      editorTypes: [NumberInput, SliderInput],
      property: new NumberProperty({
        dataPath: "saturate",
        min: 0,
        max: 100,
        step: 1,
        decimals: 0
      })
    });
    sepiaRow = new PairedInputRow({
      caption: "Sepia",
      editorTypes: [NumberInput, SliderInput],
      property: new NumberProperty({
        dataPath: "sepia",
        min: 0,
        max: 100,
        step: 1,
        decimals: 0
      })
    });
    this.add(blurRow);
    this.add(brightnessRow);
    this.add(contrastRow);
    this.add(grayscaleRow);
    this.add(huerotateRow);
    this.add(invertRow);
    this.add(saturateRow);
    this.add(sepiaRow);
  }

  return FiltersPanel;

})(Panel);



},{"./../data/ColorProperty":9,"./../data/NumberProperty":10,"./../data/Property":11,"./../input/ComboTextInput":15,"./../input/DialInput":16,"./../input/NumberInput":18,"./../input/SliderInput":19,"./../input/TextInput":20,"./../panel/MonoInputRow":21,"./../panel/PairedInputRow":22,"./../panel/Panel":23,"./../panel/PanelRow":24,"./../panel/StereoInputRow":27}],5:[function(require,module,exports){
var ColorProperty, DialInput, ImageInput, MonoInputRow, NumberInput, NumberProperty, PairedInputRow, Panel, PanelRow, SliderInput, StereoInputRow, StringProperty, TextInput,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

StringProperty = require("./../data/StringProperty").StringProperty;

NumberProperty = require("./../data/NumberProperty").NumberProperty;

ColorProperty = require("./../data/ColorProperty").ColorProperty;

Panel = require("./../panel/Panel").Panel;

PanelRow = require("./../panel/PanelRow").PanelRow;

MonoInputRow = require("./../panel/MonoInputRow").MonoInputRow;

StereoInputRow = require("./../panel/StereoInputRow").StereoInputRow;

PairedInputRow = require("./../panel/PairedInputRow").PairedInputRow;

TextInput = require("./../input/TextInput").TextInput;

ImageInput = require("./../input/ImageInput").ImageInput;

NumberInput = require("./../input/NumberInput").NumberInput;

SliderInput = require("./../input/SliderInput").SliderInput;

DialInput = require("./../input/DialInput").DialInput;

exports.MainPanel = (function(superClass) {
  extend(MainPanel, superClass);

  function MainPanel(options) {
    var colorRow, imageRow, opacityRow, positionRow, rotationRow, scaleRow, sizeRow;
    if (options == null) {
      options = {};
    }
    this.caption = "Main Panel";
    MainPanel.__super__.constructor.call(this, _.defaults(options, {}));
    positionRow = new StereoInputRow({
      caption: "Position",
      properties: [
        new NumberProperty({
          dataPath: "x",
          caption: "X"
        }), new NumberProperty({
          dataPath: "y",
          caption: "Y"
        })
      ]
    });
    sizeRow = new StereoInputRow({
      caption: "Size",
      properties: [
        new NumberProperty({
          dataPath: "width",
          caption: "W"
        }), new NumberProperty({
          dataPath: "height",
          caption: "H"
        })
      ]
    });
    scaleRow = new PairedInputRow({
      caption: "Scale",
      editorTypes: [NumberInput, SliderInput],
      rightEditorInsetY: 2,
      property: new NumberProperty({
        dataPath: "scale",
        min: 0,
        sliderMax: 2,
        step: 0.05,
        decimals: 1
      })
    });
    imageRow = new MonoInputRow({
      caption: "Image",
      properties: new StringProperty({
        dataPath: "image",
        editorType: ImageInput
      })
    });
    colorRow = new MonoInputRow({
      caption: "Color",
      properties: new ColorProperty({
        dataPath: "backgroundColor"
      })
    });
    opacityRow = new PairedInputRow({
      caption: "Opacity",
      editorTypes: [NumberInput, SliderInput],
      property: new NumberProperty({
        dataPath: "opacity",
        min: 0,
        max: 1,
        decimals: 1
      })
    });
    rotationRow = new PairedInputRow({
      caption: "Rotation",
      editorTypes: [NumberInput, DialInput],
      rightEditorInsetY: 2,
      property: new NumberProperty({
        dataPath: "rotation",
        step: 1,
        unit: 360
      })
    });
    this.add(positionRow);
    this.add(sizeRow);
    this.add(scaleRow);
    this.add(rotationRow);
    this.add(imageRow);
    this.add(colorRow);
    this.add(opacityRow);
  }

  return MainPanel;

})(Panel);



},{"./../data/ColorProperty":9,"./../data/NumberProperty":10,"./../data/StringProperty":12,"./../input/DialInput":16,"./../input/ImageInput":17,"./../input/NumberInput":18,"./../input/SliderInput":19,"./../input/TextInput":20,"./../panel/MonoInputRow":21,"./../panel/PairedInputRow":22,"./../panel/Panel":23,"./../panel/PanelRow":24,"./../panel/StereoInputRow":27}],6:[function(require,module,exports){
var BorderPanel, FiltersPanel, MainPanel, PanelStack, ShadowPanel, TransformPanel,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

PanelStack = require("./../panel/PanelStack").PanelStack;

MainPanel = require("./MainPanel").MainPanel;

BorderPanel = require("./BorderPanel").BorderPanel;

ShadowPanel = require("./ShadowPanel").ShadowPanel;

TransformPanel = require("./TransformPanel").TransformPanel;

FiltersPanel = require("./FiltersPanel").FiltersPanel;

exports.PropertiesPanel = (function(superClass) {
  extend(PropertiesPanel, superClass);

  function PropertiesPanel(options) {
    if (options == null) {
      options = {};
    }
    PropertiesPanel.__super__.constructor.call(this, _.defaults(options, {}));
    this.mainPanel = new MainPanel;
    this.add(this.mainPanel);
    this.borderPanel = new BorderPanel;
    this.borderPanelToggle = this.addWithToggle(this.borderPanel);
    this.shadowPanel = new ShadowPanel;
    this.shadowPanelToggle = this.addWithToggle(this.shadowPanel);
    this.transformPanel = new TransformPanel;
    this.transformPanelToggle = this.addWithToggle(this.transformPanel);
    this.filtersPanel = new FiltersPanel;
    this.filtersPanelToggle = this.addWithToggle(this.filtersPanel);
    this.pixelAlign = true;
  }

  PropertiesPanel.prototype.configure = function(data) {
    var i, j, len, len1, panelType, targetType, toggle, toggles;
    targetType = data.objectType;
    panelType = data.panelType;
    toggles = [this.borderPanelToggle, this.shadowPanelToggle, this.transformPanelToggle, this.filtersPanelToggle];
    for (i = 0, len = toggles.length; i < len; i++) {
      toggle = toggles[i];
      toggle.close(false);
      toggle.hide(false);
    }
    if (targetType === "@BackgroundLayer") {
      for (j = 0, len1 = toggles.length; j < len1; j++) {
        toggle = toggles[j];
        toggle.hide(true);
      }
    }
    this.omitDefaults = panelType !== "state";
    return this.render();
  };

  return PropertiesPanel;

})(PanelStack);



},{"./../panel/PanelStack":25,"./BorderPanel":3,"./FiltersPanel":4,"./MainPanel":5,"./ShadowPanel":7,"./TransformPanel":8}],7:[function(require,module,exports){
var ColorProperty, ComboTextInput, MonoInputRow, NumberInput, NumberProperty, PairedInputRow, Panel, PanelRow, Property, SliderInput, StereoInputRow, TextInput,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Property = require("./../data/Property").Property;

NumberProperty = require("./../data/NumberProperty").NumberProperty;

ColorProperty = require("./../data/ColorProperty").ColorProperty;

Panel = require("./../panel/Panel").Panel;

PanelRow = require("./../panel/PanelRow").PanelRow;

MonoInputRow = require("./../panel/MonoInputRow").MonoInputRow;

StereoInputRow = require("./../panel/StereoInputRow").StereoInputRow;

PairedInputRow = require("./../panel/PairedInputRow").PairedInputRow;

TextInput = require("./../input/TextInput").TextInput;

ComboTextInput = require("./../input/ComboTextInput").ComboTextInput;

NumberInput = require("./../input/NumberInput").NumberInput;

SliderInput = require("./../input/SliderInput").SliderInput;

exports.ShadowPanel = (function(superClass) {
  extend(ShadowPanel, superClass);

  function ShadowPanel(options) {
    var blurRow, colorRow, positionRow, spreadRow;
    if (options == null) {
      options = {};
    }
    this.caption = "Shadow";
    ShadowPanel.__super__.constructor.call(this, _.defaults(options, {}));
    positionRow = new StereoInputRow({
      caption: "Position",
      properties: [
        new NumberProperty({
          dataPath: "shadowX",
          caption: "X"
        }), new NumberProperty({
          dataPath: "shadowY",
          caption: "Y"
        })
      ]
    });
    colorRow = new MonoInputRow({
      caption: "Color",
      properties: new ColorProperty({
        dataPath: "shadowColor"
      })
    });
    blurRow = new PairedInputRow({
      caption: "Blur",
      editorTypes: [NumberInput, SliderInput],
      property: new NumberProperty({
        dataPath: "shadowBlur",
        min: 0,
        sliderMax: 100,
        step: 1,
        decimals: 0
      })
    });
    spreadRow = new PairedInputRow({
      caption: "Spread",
      editorTypes: [NumberInput, SliderInput],
      property: new NumberProperty({
        dataPath: "shadowSpread",
        min: 0,
        sliderMax: 100,
        step: 1,
        decimals: 0
      })
    });
    this.add(positionRow);
    this.add(colorRow);
    this.add(blurRow);
    this.add(spreadRow);
  }

  return ShadowPanel;

})(Panel);



},{"./../data/ColorProperty":9,"./../data/NumberProperty":10,"./../data/Property":11,"./../input/ComboTextInput":15,"./../input/NumberInput":18,"./../input/SliderInput":19,"./../input/TextInput":20,"./../panel/MonoInputRow":21,"./../panel/PairedInputRow":22,"./../panel/Panel":23,"./../panel/PanelRow":24,"./../panel/StereoInputRow":27}],8:[function(require,module,exports){
var ColorProperty, ComboTextInput, MonoInputRow, NumberInput, NumberProperty, PairedInputRow, Panel, PanelRow, Property, SliderInput, StereoInputRow, TextInput,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Property = require("./../data/Property").Property;

NumberProperty = require("./../data/NumberProperty").NumberProperty;

ColorProperty = require("./../data/ColorProperty").ColorProperty;

Panel = require("./../panel/Panel").Panel;

PanelRow = require("./../panel/PanelRow").PanelRow;

MonoInputRow = require("./../panel/MonoInputRow").MonoInputRow;

StereoInputRow = require("./../panel/StereoInputRow").StereoInputRow;

PairedInputRow = require("./../panel/PairedInputRow").PairedInputRow;

TextInput = require("./../input/TextInput").TextInput;

ComboTextInput = require("./../input/ComboTextInput").ComboTextInput;

NumberInput = require("./../input/NumberInput").NumberInput;

SliderInput = require("./../input/SliderInput").SliderInput;

exports.TransformPanel = (function(superClass) {
  extend(TransformPanel, superClass);

  function TransformPanel(options) {
    var originRow, rotationRow, scaleRow, skewRow;
    if (options == null) {
      options = {};
    }
    this.caption = "Transform";
    TransformPanel.__super__.constructor.call(this, _.defaults(options, {}));
    scaleRow = new StereoInputRow({
      caption: "Scale",
      properties: [
        new NumberProperty({
          dataPath: "scaleX",
          caption: "X",
          decimals: 1
        }), new NumberProperty({
          dataPath: "scaleY",
          caption: "Y",
          decimals: 1
        })
      ]
    });
    originRow = new StereoInputRow({
      caption: "Origin",
      properties: [
        new NumberProperty({
          dataPath: "originX",
          caption: "X",
          decimals: 1
        }), new NumberProperty({
          dataPath: "originY",
          caption: "Y",
          decimals: 1
        })
      ]
    });
    rotationRow = new StereoInputRow({
      caption: "Rotation",
      properties: [
        new NumberProperty({
          dataPath: "rotationX",
          caption: "X"
        }), new NumberProperty({
          dataPath: "rotationY",
          caption: "Y"
        })
      ]
    });
    skewRow = new StereoInputRow({
      caption: "Skew",
      properties: [
        new NumberProperty({
          dataPath: "skewX",
          caption: "X"
        }), new NumberProperty({
          dataPath: "skewY",
          caption: "Y"
        })
      ]
    });
    this.add(scaleRow);
    this.add(originRow);
    this.add(rotationRow);
    this.add(skewRow);
  }

  return TransformPanel;

})(Panel);



},{"./../data/ColorProperty":9,"./../data/NumberProperty":10,"./../data/Property":11,"./../input/ComboTextInput":15,"./../input/NumberInput":18,"./../input/SliderInput":19,"./../input/TextInput":20,"./../panel/MonoInputRow":21,"./../panel/PairedInputRow":22,"./../panel/Panel":23,"./../panel/PanelRow":24,"./../panel/StereoInputRow":27}],9:[function(require,module,exports){
var ColorInput, StringProperty,
  bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

StringProperty = require("./StringProperty").StringProperty;

ColorInput = require("./../input/ColorInput").ColorInput;

exports.ColorProperty = (function(superClass) {
  extend(ColorProperty, superClass);

  function ColorProperty(options) {
    if (options == null) {
      options = {};
    }
    this.validateColor = bind(this.validateColor, this);
    ColorProperty.__super__.constructor.call(this, _.defaults(options, {
      validateValue: this.validateColor,
      editorType: ColorInput
    }));
  }

  ColorProperty.prototype.validateColor = function(value) {
    if (value === "") {
      value = null;
    }
    return value;
  };

  return ColorProperty;

})(StringProperty);



},{"./../input/ColorInput":14,"./StringProperty":12}],10:[function(require,module,exports){
var NumberInput, Property, property, ref,
  bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

ref = require("./Property"), Property = ref.Property, property = ref.property;

NumberInput = require("./../input/NumberInput").NumberInput;

exports.NumberProperty = (function(superClass) {
  extend(NumberProperty, superClass);

  function NumberProperty(options) {
    if (options == null) {
      options = {};
    }
    this.valueAsString = bind(this.valueAsString, this);
    this.valueFromString = bind(this.valueFromString, this);
    this.validateNumber = bind(this.validateNumber, this);
    NumberProperty.__super__.constructor.call(this, _.defaults(options, {
      validateValue: this.validateNumber,
      editorType: NumberInput
    }));
    property({
      instance: this,
      name: "min",
      def: options.min
    });
    property({
      instance: this,
      name: "max",
      def: options.max
    });
    property({
      instance: this,
      name: "step",
      def: options.step || 1
    });
    this.decimals = options.decimals || 0;
    this.type = "number";
  }

  NumberProperty.prototype.validateNumber = function(value) {
    var floatVal, intVal, val;
    val = value;
    if (typeof val !== "number") {
      intVal = parseInt(value);
      val = isNaN(intVal) ? (floatVal = parseFloat(value), isNaN(floatVal) ? null : floatVal) : intVal;
    }
    if (val != null) {
      if (this.min != null) {
        val = Math.max(this.min, val);
      }
      if (this.max != null) {
        val = Math.min(this.max, val);
      }
    }
    return val;
  };

  NumberProperty.prototype.valueFromString = function(value) {
    return this.value = value;
  };

  NumberProperty.prototype.valueAsString = function() {
    var base;
    if (this.value != null) {
      return typeof (base = this.value).toFixed === "function" ? base.toFixed(this.decimals) : void 0;
    }
    return null;
  };

  return NumberProperty;

})(Property);



},{"./../input/NumberInput":18,"./Property":11}],11:[function(require,module,exports){
var TextInput, property,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

TextInput = require("./../input/TextInput").TextInput;

exports.property = property = function(options) {
  var def, instance, key, name, validate;
  instance = options.instance, name = options.name, def = options.def, validate = options.validate;
  key = "_" + name;
  return Object.defineProperty(instance, name, {
    get: function() {
      var value;
      value = instance[key];
      if ((value == null) && (def != null)) {
        value = (instance[key] = def);
      }
      return value;
    },
    set: function(value) {
      var current;
      current = instance[key];
      if (validate != null) {
        value = validate(value);
      }
      if (value !== current) {
        return instance.emit("change:" + name, instance[key] = value, current, instance);
      }
    }
  });
};

exports.Property = (function(superClass) {
  extend(Property, superClass);

  function Property(options) {
    if (options == null) {
      options = {};
    }
    Property.__super__.constructor.call(this);
    property({
      instance: this,
      name: "value",
      validate: options.validateValue
    });
    property({
      instance: this,
      name: "caption"
    });
    property({
      instance: this,
      name: "editorType",
      def: TextInput
    });
    property({
      instance: this,
      name: "dataPath",
      def: TextInput
    });
    _.extend(this, options);
    this.type = "string";
  }

  Property.prototype.valueFromString = function(value) {
    return this.value = value;
  };

  Property.prototype.valueAsString = function() {
    if (this.value != null) {
      return this.value.toString();
    }
    return null;
  };

  Property.prototype.valueFromData = function(value) {
    return this.valueFromString(value);
  };

  Property.prototype.valueToData = function() {
    return this.valueAsString();
  };

  Property.prototype.read = function(data, defaults) {
    var defaultValue, result;
    result = this.resolveDataPath(data);
    defaultValue = this.resolveDataPath(defaults);
    if (defaultValue != null) {
      this["default"] = defaultValue;
    } else {
      delete this["default"];
    }
    return this.valueFromData(result);
  };

  Property.prototype.write = function(data) {
    var currentKey, i, key, keys, len, nrOfKeys, results;
    if ((this.dataPath != null) && (this.value != null) && _.isObject(data)) {
      keys = this.dataPath.split(".");
      nrOfKeys = keys.length;
      currentKey = 1;
      results = [];
      for (i = 0, len = keys.length; i < len; i++) {
        key = keys[i];
        if (currentKey !== nrOfKeys) {
          data = data[key] || {};
          results.push(currentKey++);
        } else {
          results.push(data[key] = this.valueToData());
        }
      }
      return results;
    }
  };

  Property.prototype.resolveDataPath = function(data) {
    var currentKey, i, key, keys, len, nrOfKeys, result;
    result = null;
    if (_.isObject(data)) {
      keys = this.dataPath.split(".");
      nrOfKeys = keys.length;
      currentKey = 1;
      for (i = 0, len = keys.length; i < len; i++) {
        key = keys[i];
        if (currentKey !== nrOfKeys) {
          data = data[key];
          currentKey++;
        } else {
          result = data[key];
        }
      }
    }
    return result;
  };

  Property.prototype.reset = function() {
    delete this._value;
    delete this["default"];
    return this.emit("reset");
  };

  return Property;

})(Framer.EventEmitter);



},{"./../input/TextInput":20}],12:[function(require,module,exports){
var ComboTextInput, Property, property, ref,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

ref = require("./Property"), Property = ref.Property, property = ref.property;

ComboTextInput = require("./../input/ComboTextInput").ComboTextInput;

exports.StringProperty = (function(superClass) {
  extend(StringProperty, superClass);

  function StringProperty(options) {
    if (options == null) {
      options = {};
    }
    StringProperty.__super__.constructor.call(this, _.defaults(options, {
      editorType: ComboTextInput
    }));
  }

  StringProperty.prototype.valueFromData = function(value) {
    if (value == null) {
      return null;
    }
    return this.valueFromString(value != null ? typeof value.replace === "function" ? value.replace(/^"(.+(?="$))"$/, '$1') : void 0 : void 0);
  };

  StringProperty.prototype.valueToData = function() {
    var stringValue;
    stringValue = this.valueAsString();
    if (stringValue != null) {
      return "\"" + (this.valueAsString()) + "\"";
    }
    return null;
  };

  return StringProperty;

})(Property);



},{"./../input/ComboTextInput":15,"./Property":11}],13:[function(require,module,exports){
var PropertiesPanel;

require("./App.coffee");

PropertiesPanel = require("./concrete/PropertiesPanel").PropertiesPanel;

window.FramerStudioComponents = {
  PropertiesPanel: PropertiesPanel
};



},{"./App.coffee":1,"./concrete/PropertiesPanel":6}],14:[function(require,module,exports){
var ColorInputButton, ComboTextInput, Defaults,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty,
  bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; };

Defaults = require("./../Defaults").Defaults;

ComboTextInput = require("./ComboTextInput").ComboTextInput;

ColorInputButton = (function(superClass) {
  extend(ColorInputButton, superClass);

  function ColorInputButton(options) {
    if (options == null) {
      options = {};
    }
    ColorInputButton.__super__.constructor.call(this, _.defaults(options, {
      width: Defaults.metrics.panelToggleHeight - 8,
      height: Defaults.metrics.panelToggleHeight - 8,
      borderColor: Defaults.colors.textInputBorder,
      borderWidth: 1,
      backgroundColor: null,
      clip: true
    }));
    this.borderRadius = this.width / 2;
    this.backdrop = new Layer({
      parent: this,
      width: this.width - this.borderWidth * 2,
      height: this.height - this.borderWidth * 2,
      backgroundColor: null
    });
    this.overlay = new Layer({
      parent: this,
      width: this.width - this.borderWidth * 2,
      height: this.height - this.borderWidth * 2,
      backgroundColor: null
    });
  }

  ColorInputButton.prototype.setOverlayColor = function(value) {
    if (value != null) {
      this.overlay.backgroundColor = value;
      return this.backdrop.image = null;
    } else {
      this.overlay.backgroundColor = null;
      return this.backdrop.image = "images/button-color-backdrop.png";
    }
  };

  return ColorInputButton;

})(Layer);

exports.ColorInput = (function(superClass) {
  extend(ColorInput, superClass);

  function ColorInput(options) {
    if (options == null) {
      options = {};
    }
    this.handlePropertyReset = bind(this.handlePropertyReset, this);
    this.handlePropertyValueChange = bind(this.handlePropertyValueChange, this);
    this.handleOverlayClick = bind(this.handleOverlayClick, this);
    ColorInput.__super__.constructor.call(this, options);
    this.button = new ColorInputButton({
      parent: this,
      maxX: this.width - 5,
      y: 3
    });
    this.button.on(Events.Click, this.handleOverlayClick);
    this.handlePropertyValueChange(this.property.value);
  }

  ColorInput.prototype.destroy = function() {
    return this.button.off(Events.Click, this.handleOverlayClick);
  };

  ColorInput.prototype.handleOverlayClick = function(event) {
    var frame;
    frame = this.button.screenFrame;
    return this.property.emit("request", {
      type: "color",
      dataPath: this.property.dataPath,
      value: this.property.valueAsString(),
      at: frame
    });
  };

  ColorInput.prototype.handlePropertyValueChange = function(newValue) {
    this.button.setOverlayColor(newValue);
    return ColorInput.__super__.handlePropertyValueChange.call(this, newValue);
  };

  ColorInput.prototype.handlePropertyReset = function(newValue) {
    if (newValue == null) {
      newValue = null;
    }
    this.button.setOverlayColor(newValue);
    return ColorInput.__super__.handlePropertyReset.call(this, newValue);
  };

  return ColorInput;

})(ComboTextInput);



},{"./../Defaults":2,"./ComboTextInput":15}],15:[function(require,module,exports){
var Defaults, TextInput,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

TextInput = require("./TextInput").TextInput;

exports.ComboTextInput = (function(superClass) {
  extend(ComboTextInput, superClass);

  function ComboTextInput(options) {
    if (options == null) {
      options = {};
    }
    ComboTextInput.__super__.constructor.call(this, _.defaults(options, {
      width: 120
    }));
    this.inputElement.style["margin-right"] = "23px";
    this.inputElement.style["-webkit-text-fill-color"] = Defaults.colors.stringColor;
  }

  return ComboTextInput;

})(TextInput);



},{"./../Defaults":2,"./TextInput":20}],16:[function(require,module,exports){
var Defaults,
  bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

exports.DialInput = (function(superClass) {
  extend(DialInput, superClass);

  function DialInput(options) {
    if (options == null) {
      options = {};
    }
    this.render = bind(this.render, this);
    this.handleDrag = bind(this.handleDrag, this);
    this.handlePropertyValueChange = bind(this.handlePropertyValueChange, this);
    DialInput.__super__.constructor.call(this, options = _.defaults(options, {
      borderWidth: 1,
      borderColor: Defaults.colors.dialInputBorder,
      backgroundColor: Defaults.colors.dialInputBackground,
      width: 18,
      height: 18,
      clip: false
    }));
    this.property = options.property;
    this.property.on("change:value", this.handlePropertyValueChange);
    this.borderRadius = this.width / 2;
    this.indicator = new Layer({
      parent: this,
      backgroundColor: Defaults.colors.dialInputIndicator,
      width: options.width / 3,
      height: options.width / 3,
      borderRadius: options.width / 6,
      x: options.width / 3 - 1,
      y: -1,
      originY: 1.5
    });
    this.dragger = new Layer({
      parent: this,
      width: this.width,
      height: this.height,
      backgroundColor: null
    });
    this.dragger.draggable.enabled = true;
    this.dragger.draggable.momentum = false;
    this.dragger.draggable.constraints = {
      x: 0,
      y: 0,
      width: this.width,
      height: this.height
    };
    this.dragger.on(Events.DragStart, (function(_this) {
      return function() {
        return _this.property.emit("request", {
          type: "drag:start"
        });
      };
    })(this));
    this.dragger.on(Events.Drag, this.handleDrag);
    this.dragger.on(Events.DragEnd, (function(_this) {
      return function() {
        return _this.property.emit("request", {
          type: "drag:end"
        });
      };
    })(this));
    this.render();
  }

  DialInput.prototype.destroy = function() {
    this.dragger.off(Events.Drag, this.handleDrag);
    return DialInput.__super__.destroy.call(this);
  };

  DialInput.prototype.handlePropertyValueChange = function() {
    return this.render();
  };

  DialInput.prototype.handleDrag = function() {
    var ref, unit, x, y;
    unit = this.property.unit || 1;
    ref = this.dragger.draggable.velocity, x = ref.x, y = ref.y;
    return this.property.value += (x - y) * 30 / (360 / unit);
  };

  DialInput.prototype.render = function() {
    var unit, value;
    unit = this.property.unit || 1;
    if (this.property.value != null) {
      value = this.property.value;
    } else {
      value = this.property["default"] || 0;
    }
    return this.indicator.rotation = value * (360 / unit);
  };

  return DialInput;

})(Layer);



},{"./../Defaults":2}],17:[function(require,module,exports){
var ComboTextInput, Defaults, ImageInputButton,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty,
  bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; };

Defaults = require("./../Defaults").Defaults;

ComboTextInput = require("./ComboTextInput").ComboTextInput;

ImageInputButton = (function(superClass) {
  extend(ImageInputButton, superClass);

  function ImageInputButton(options) {
    if (options == null) {
      options = {};
    }
    ImageInputButton.__super__.constructor.call(this, _.defaults(options, {
      width: 16,
      height: 14,
      backgroundColor: null
    }));
    this.backdrop = new Layer({
      parent: this,
      width: this.width - this.borderWidth * 2,
      height: this.height - this.borderWidth * 2,
      image: "images/icon-folder.pdf"
    });
  }

  return ImageInputButton;

})(Layer);

exports.ImageInput = (function(superClass) {
  extend(ImageInput, superClass);

  function ImageInput(options) {
    if (options == null) {
      options = {};
    }
    this.handleOverlayClick = bind(this.handleOverlayClick, this);
    ImageInput.__super__.constructor.call(this, options);
    this.button = new ImageInputButton({
      parent: this,
      maxX: this.width - 4,
      y: 4
    });
    this.button.on(Events.Click, this.handleOverlayClick);
  }

  ImageInput.prototype.destroy = function() {
    return this.button.off(Events.Click, this.handleOverlayClick);
  };

  ImageInput.prototype.handleOverlayClick = function(event) {
    var frame;
    frame = this.button.screenFrame;
    return this.property.emit("request", {
      type: "image",
      dataPath: this.property.dataPath,
      value: this.property.valueAsString(),
      at: frame
    });
  };

  return ImageInput;

})(ComboTextInput);



},{"./../Defaults":2,"./ComboTextInput":15}],18:[function(require,module,exports){
var Defaults, TextInput,
  bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

TextInput = require("./TextInput").TextInput;

exports.NumberInput = (function(superClass) {
  extend(NumberInput, superClass);

  function NumberInput(options) {
    if (options == null) {
      options = {};
    }
    this.unfocus = bind(this.unfocus, this);
    this.focus = bind(this.focus, this);
    this.handleStepDown = bind(this.handleStepDown, this);
    this.handleStepUp = bind(this.handleStepUp, this);
    NumberInput.__super__.constructor.call(this, _.defaults(options, {}));
    this.property = options.property;
    this.step = this.property.step != null ? this.property.step : 1;
    this._element.addEventListener("keydown", this.handleKeyDown = (function(_this) {
      return function(event) {
        if (event.keyCode === 38) {
          _this.handleStepUp(event);
          event.stopImmediatePropagation();
          return event.preventDefault();
        } else if (event.keyCode === 40) {
          _this.handleStepDown(event);
          event.stopImmediatePropagation();
          return event.preventDefault();
        }
      };
    })(this));
    this.inputElement.style["-webkit-text-fill-color"] = Defaults.colors.numberColor;
  }

  NumberInput.prototype.destroy = function() {
    this._element.removeEventListener("keyup", this.handleKeyDown);
    return NumberInput.__super__.destroy.apply(this, arguments).destroy();
  };

  NumberInput.prototype.handleStepUp = function(event) {
    var step;
    step = this.step;
    if (event.shiftKey) {
      step *= 10;
    }
    if (isNaN(this.property.value)) {
      this.property.value = 0;
    } else {
      this.property.value += step;
    }
    return this.focus();
  };

  NumberInput.prototype.handleStepDown = function(event) {
    var step;
    step = this.step;
    if (event.shiftKey) {
      step *= 10;
    }
    if (isNaN(this.property.value)) {
      this.property.value = 0;
    } else {
      this.property.value -= step;
    }
    return this.focus();
  };

  NumberInput.prototype.focus = function() {
    this.inputElement.focus();
    if (this.value != null) {
      return this.inputElement.setSelectionRange(0, this.value.toString().length);
    }
  };

  NumberInput.prototype.unfocus = function(event) {};

  return NumberInput;

})(TextInput);



},{"./../Defaults":2,"./TextInput":20}],19:[function(require,module,exports){
var Defaults, TextInput,
  bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

TextInput = require("./TextInput").TextInput;

exports.SliderInput = (function(superClass) {
  extend(SliderInput, superClass);

  function SliderInput(options) {
    if (options == null) {
      options = {};
    }
    this.handlePropertyValueChange = bind(this.handlePropertyValueChange, this);
    this.property = options.property;
    SliderInput.__super__.constructor.call(this, _.defaults(options, {
      width: 56,
      height: 2,
      min: this.property.min != null ? this.property.min : this.property.sliderMin,
      max: this.property.max != null ? this.property.max : this.property.sliderMax,
      style: {
        "margin-top": "9px"
      },
      backgroundColor: "#000",
      hitArea: 10
    }));
    this.sliderMin = this.property.sliderMin;
    this.sliderMax = this.property.sliderMax;
    this.knobSize = 6;
    this.knob.backgroundColor = "#585858";
    this.knob.draggable.momentum = false;
    this.knob.constrained = true;
    this.fill.backgroundColor = "#323232";
    this.handlePropertyValueChange(this.property.value);
    this.on("change:value", (function(_this) {
      return function() {
        if (_this.isDragging) {
          return _this.property.value = _this.value;
        }
      };
    })(this));
    this.property.on("change:value", this.handlePropertyValueChange);
    this.knob.on(Events.DragStart, (function(_this) {
      return function() {
        _this.isDragging = true;
        return _this.property.emit("request", {
          type: "drag:start"
        });
      };
    })(this));
    this.knob.on(Events.DragEnd, (function(_this) {
      return function() {
        _this.property.emit("request", {
          type: "drag:end"
        });
        return _this.isDragging = false;
      };
    })(this));
  }

  SliderInput.prototype.destroy = function() {
    this.property.off("change:value", this.handlePropertyValueChange);
    return SliderInput.__super__.destroy.apply(this, arguments).destroy();
  };

  SliderInput.prototype.handlePropertyValueChange = function(newValue) {
    if ((newValue != null) && !isNaN(newValue)) {
      return this.value = newValue;
    } else if (this.property["default"]) {
      return this.value = this.property["default"];
    } else {
      return this.value = this.min;
    }
  };

  return SliderInput;

})(SliderComponent);



},{"./../Defaults":2,"./TextInput":20}],20:[function(require,module,exports){
var Defaults, Label, setupStyles,
  bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

Label = require("./../widgets/Label").Label;

setupStyles = function() {
  var fontrules, key, ref, styleElement, styleSheet, value;
  styleElement = document.createElement("style");
  document.head.appendChild(styleElement);
  styleSheet = styleElement.sheet;
  fontrules = "";
  ref = Defaults.textStyles.textInput;
  for (key in ref) {
    value = ref[key];
    fontrules += key + ": " + value + ";";
  }
  styleSheet.insertRule(".FramerStudioComponentsTextInput {\n	-webkit-transform: translatez(0);\n	position: absolute;\n	display: block;\n	top: " + Defaults.metrics.textInputInputTop + ";\n	left: " + Defaults.metrics.textInputInputLeft + ";\n	right: " + Defaults.metrics.textInputInputRight + ";\n	bottom: " + Defaults.metrics.textInputInputBottom + ";\n	background: " + Defaults.colors.textInputBackground + ";\n	text-decoration: none;\n	-webkit-appearance: none;\n	-webkit-box-reflect: unset;\n	-webkit-mask: none;\n	-webkit-user-select: text\n 				outline: 0;\n	border: 0;\n	padding: 0;\n	margin: 0;\n	color: " + Defaults.colors.inputCursorColor + ";\n	" + fontrules + "\n}", 0);
  styleSheet.insertRule(".FramerStudioComponentsTextInput::selection {\n	outline: 0;\n	border: 0;\n	background-color: #414146;\n}", 0);
  styleSheet.insertRule("::-webkit-input-placeholder {\n	-webkit-text-fill-color: " + Defaults.colors.inputPlaceholderColor + ";\n}", 0);
  return styleSheet.insertRule(".FramerStudioComponentsTextInput:focus {\n	outline: 0;\n	border: 0;\n}", 0);
};

setupStyles();

exports.TextInput = (function(superClass) {
  extend(TextInput, superClass);

  function TextInput(options) {
    if (options == null) {
      options = {};
    }
    this.handlePropertyReset = bind(this.handlePropertyReset, this);
    this.handlePropertyValueChange = bind(this.handlePropertyValueChange, this);
    TextInput.__super__.constructor.call(this, _.defaults(options, {
      width: Defaults.metrics.textInputWidth,
      height: Defaults.metrics.textInputHeight,
      backgroundColor: Defaults.colors.textInputBackground,
      borderColor: Defaults.colors.textInputBorder,
      borderWidth: 1,
      borderRadius: 2,
      ignoreEvents: false
    }));
    this.property = options.property;
    this.inputElement = document.createElement("input");
    this.inputElement.setAttribute("type", "text");
    this.inputElement.setAttribute("autocorrect", "off");
    this.inputElement.setAttribute("autocapitalize", "off");
    this.inputElement.setAttribute("spellcheck", "false");
    this.inputElement.setAttribute("tabindex", "1");
    if (this.property["default"] != null) {
      this.inputElement.setAttribute("placeholder", this.property["default"]);
    }
    this.inputElement.value = this.property.valueAsString();
    this.inputElement.className = "FramerStudioComponentsTextInput";
    this._element.appendChild(this.inputElement);
    this.inputElement.setAttribute("autocorrect", "off");
    this.inputElement.setAttribute("autocapitalize", "off");
    this.inputElement.setAttribute("spellcheck", "false");
    this.label = new Label({
      parent: this,
      caption: this.property.caption,
      y: Defaults.metrics.textInputLabelY,
      visible: this.property.caption != null
    });
    this.on("change:width", this.handleWidthChange = (function(_this) {
      return function() {
        return _this.label.maxX = _this.width - Defaults.metrics.textInputLabelRHSPadding;
      };
    })(this));
    this.handleWidthChange();
    this.inputElement.addEventListener("change", this.handleInputElementChange = (function(_this) {
      return function() {
        return _this.property.valueFromString(_this.inputElement.value);
      };
    })(this));
    this.property.on("change:value", this.handlePropertyValueChange);
    this.property.on("reset", this.handlePropertyReset);
    this._element.addEventListener("focusin", this.focus);
    this._element.addEventListener("focusout", this.unfocus);
  }

  TextInput.prototype.destroy = function() {
    this.off("change:width", this.handleWidthChange);
    this.inputElement.removeEventListener("change", this.handleInputElementChange);
    this.property.off("change:value", this.handlePropertyValueChange);
    this._element.removeEventListener("focusin", this.focus);
    this._element.removeEventListener("focusout", this.unfocus);
    return TextInput.__super__.destroy.apply(this, arguments).destroy();
  };

  TextInput.prototype.handlePropertyValueChange = function(newValue) {
    this.inputElement.value = this.property.valueAsString();
    if (this.property["default"] != null) {
      return this.inputElement.setAttribute("placeholder", this.property["default"]);
    }
  };

  TextInput.prototype.handlePropertyReset = function(newValue) {
    if (newValue == null) {
      newValue = null;
    }
    this.inputElement.value = newValue;
    return this.inputElement.removeAttribute("placeholder");
  };

  TextInput.prototype.focus = function() {
    return null;
  };

  TextInput.prototype.unfocus = function() {
    return null;
  };

  return TextInput;

})(Layer);



},{"./../Defaults":2,"./../widgets/Label":29}],21:[function(require,module,exports){
var Defaults, PanelRow,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

PanelRow = require("./PanelRow").PanelRow;

exports.MonoInputRow = (function(superClass) {
  extend(MonoInputRow, superClass);

  function MonoInputRow(options) {
    var editorOptions, ref;
    if (options == null) {
      options = {};
    }
    MonoInputRow.__super__.constructor.call(this, _.defaults(options, {}));
    if (((ref = this.properties) != null ? ref.length : void 0) !== 1) {
      throw new Error("MonoInputRow requires exactly one property set");
    }
    this.property = this.properties[0];
    editorOptions = this.property.editorOptions || {};
    this.editor = new this.property.editorType(_.defaults(editorOptions, {
      parent: this,
      property: this.property,
      x: Defaults.metrics.stereoInputLeftX,
      y: Defaults.metrics.stereoInputLeftY
    }));
  }

  return MonoInputRow;

})(PanelRow);



},{"./../Defaults":2,"./PanelRow":24}],22:[function(require,module,exports){
var Defaults, PanelRow,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

PanelRow = require("./PanelRow").PanelRow;

exports.PairedInputRow = (function(superClass) {
  extend(PairedInputRow, superClass);

  function PairedInputRow(options) {
    var leftEditorType, ref, ref1, rightEditorType;
    if (options == null) {
      options = {};
    }
    this.property = options.property;
    if (!this.property) {
      throw new Error("PairedInputRow requires exactly one property set");
    }
    options.properties = [this.property];
    options.rightEditorInsetY || (options.rightEditorInsetY = 0);
    PairedInputRow.__super__.constructor.call(this, _.defaults(options, {}));
    if (((ref = options.editorTypes) != null ? ref.length : void 0) !== 2) {
      throw new Error("PairedInputRow requires exactly two editors set");
    }
    ref1 = options.editorTypes, leftEditorType = ref1[0], rightEditorType = ref1[1];
    this.left = new leftEditorType({
      parent: this,
      property: this.property,
      x: Defaults.metrics.stereoInputLeftX,
      y: Defaults.metrics.stereoInputLeftY
    });
    this.right = new rightEditorType({
      parent: this,
      property: this.property,
      x: this.left.maxX + Defaults.metrics.pairedInputGap,
      y: options.rightEditorInsetY + Defaults.metrics.stereoInputRightY
    });
  }

  return PairedInputRow;

})(PanelRow);



},{"./../Defaults":2,"./PanelRow":24}],23:[function(require,module,exports){
var Background, Defaults,
  bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

Background = require("./../widgets/Background").Background;

exports.Panel = (function(superClass) {
  extend(Panel, superClass);

  function Panel(options) {
    if (options == null) {
      options = {};
    }
    this.updateIsActive = bind(this.updateIsActive, this);
    this.handleRowIsActiveChange = bind(this.handleRowIsActiveChange, this);
    this.handleRowValueChange = bind(this.handleRowValueChange, this);
    this.render = bind(this.render, this);
    Panel.__super__.constructor.call(this, _.defaults(options, {
      height: 0,
      backgroundColor: Defaults.colors.panelBackground,
      clip: true
    }));
    this.calculatedHeight = 0;
    this.rows = [];
    this.on("change:width", this.render);
    this.render();
    this.properties = [];
    this.isActive = false;
  }

  Panel.prototype.destroy = function() {
    var i, len, ref, row;
    ref = this.rows;
    for (i = 0, len = ref.length; i < len; i++) {
      row = ref[i];
      row.off("change:height", this.render);
      row.off("change:value", this.handleRowValueChange);
      row.off("change:isActive", this.handleRowIsActiveChange);
    }
    return Panel.__super__.destroy.call(this);
  };

  Panel.prototype.add = function(row) {
    var ref;
    (ref = this.properties).push.apply(ref, row.properties);
    this.rows.push(row);
    row.parent = this;
    row.on("change:height", this.render);
    row.on("change:value", this.handleRowValueChange);
    row.on("change:isActive", this.handleRowIsActiveChange);
    if (typeof row.render === "function") {
      row.render();
    }
    return this.render();
  };

  Panel.prototype.render = function() {
    var i, len, offsetY, ref, row;
    offsetY = Defaults.metrics.panelPaddingTop;
    ref = this.rows;
    for (i = 0, len = ref.length; i < len; i++) {
      row = ref[i];
      if (!row.visible) {
        continue;
      }
      row.width = this.width;
      row.y = offsetY;
      offsetY += row.calculatedHeight;
    }
    return this.calculatedHeight = offsetY + Defaults.metrics.panelPaddingBottom;
  };

  Panel.prototype.handleRowValueChange = function() {
    return this.emit("change:value", this);
  };

  Panel.prototype.handleRowIsActiveChange = function() {
    var active, i, len, ref, row;
    active = false;
    ref = this.rows;
    for (i = 0, len = ref.length; i < len; i++) {
      row = ref[i];
      if (row.isActive) {
        active = true;
        break;
      }
    }
    return this.updateIsActive(active);
  };

  Panel.prototype.updateIsActive = function(toValue) {
    if (toValue !== this.isActive) {
      this.isActive = toValue;
      return this.emit("change:isActive", this);
    }
  };

  Panel.prototype.hide = function(hide) {
    if (hide == null) {
      hide = true;
    }
    return this.visible = hide;
  };

  return Panel;

})(Background);



},{"./../Defaults":2,"./../widgets/Background":28}],24:[function(require,module,exports){
var Defaults, Label,
  bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

Label = require("./../widgets/Label").Label;

exports.PanelRow = (function(superClass) {
  extend(PanelRow, superClass);

  function PanelRow(options) {
    var i, len, property, ref;
    if (options == null) {
      options = {};
    }
    this.updateIsActive = bind(this.updateIsActive, this);
    this.handlePropertyValueChange = bind(this.handlePropertyValueChange, this);
    PanelRow.__super__.constructor.call(this, _.defaults(options, {
      height: Defaults.metrics.panelRowHeight,
      backgroundColor: null
    }));
    this.label = new Label({
      parent: this,
      textStyle: Defaults.textStyles.rowLabel,
      x: Defaults.metrics.panelRowLabelX,
      y: Defaults.metrics.panelRowLabelY,
      caption: options.caption || "Untitled"
    });
    this.properties = options.properties || [];
    if (!_.isArray(this.properties)) {
      this.properties = [this.properties];
    }
    ref = this.properties;
    for (i = 0, len = ref.length; i < len; i++) {
      property = ref[i];
      property.on("change:value", this.handlePropertyValueChange);
    }
    this.calculatedHeight = this.height;
    this.isActive = false;
    this.handlePropertyValueChange();
  }

  PanelRow.prototype.destroy = function() {
    var i, len, property, ref;
    ref = this.properties;
    for (i = 0, len = ref.length; i < len; i++) {
      property = ref[i];
      property.off("change:value", this.handlePropertyValueChange);
    }
    return PanelRow.__super__.destroy.call(this);
  };

  PanelRow.prototype.handlePropertyValueChange = function() {
    var i, isActive, len, property, ref;
    isActive = false;
    ref = this.properties;
    for (i = 0, len = ref.length; i < len; i++) {
      property = ref[i];
      if (property.value != null) {
        isActive = true;
        break;
      }
    }
    this.label.style = isActive ? Defaults.textStyles.rowLabelSelected : this.label.style = Defaults.textStyles.rowLabel;
    this.emit("change:value", this);
    return this.updateIsActive(isActive);
  };

  PanelRow.prototype.updateIsActive = function(toValue) {
    if (toValue !== this.isActive) {
      this.isActive = toValue;
      return this.emit("change:isActive", this);
    }
  };

  return PanelRow;

})(Layer);



},{"./../Defaults":2,"./../widgets/Label":29}],25:[function(require,module,exports){
var Defaults, PanelToggle,
  bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

PanelToggle = require("./PanelToggle").PanelToggle;

exports.PanelStack = (function(superClass) {
  extend(PanelStack, superClass);

  function PanelStack(options) {
    if (options == null) {
      options = {};
    }
    this.handlePropertyRequest = bind(this.handlePropertyRequest, this);
    this.handlePanelValueChange = bind(this.handlePanelValueChange, this);
    this.render = bind(this.render, this);
    PanelStack.__super__.constructor.call(this, _.defaults(options, {
      width: Defaults.metrics.panelStackWidth,
      backgroundColor: Defaults.colors.panelStackBackground
    }));
    this.panels = [];
    this.properties = [];
  }

  PanelStack.prototype.destroy = function() {
    var i, j, len, len1, panel, property, ref, ref1, results;
    PanelStack.__super__.destroy.call(this);
    ref = this.panels;
    for (i = 0, len = ref.length; i < len; i++) {
      panel = ref[i];
      panel.off("change:height", this.render);
      panel.off("change:value", this.handlePanelValueChange);
    }
    ref1 = this.properties;
    results = [];
    for (j = 0, len1 = ref1.length; j < len1; j++) {
      property = ref1[j];
      results.push(property.off("request", this.handlePropertyRequest));
    }
    return results;
  };

  PanelStack.prototype.add = function(panel) {
    var i, len, property, ref, ref1;
    this.panels.push(panel);
    (ref = this.properties).push.apply(ref, panel.properties);
    ref1 = panel.properties;
    for (i = 0, len = ref1.length; i < len; i++) {
      property = ref1[i];
      property.on("request", this.handlePropertyRequest);
    }
    panel.parent = this;
    panel.on("change:height", this.render);
    panel.on("change:value", this.handlePanelValueChange);
    if (typeof panel.render === "function") {
      panel.render();
    }
    panel.height = panel.calculatedHeight;
    this.render();
    return panel;
  };

  PanelStack.prototype.addWithToggle = function(panel) {
    var toggle;
    toggle = this.add(new PanelToggle({
      targetPanel: panel
    }));
    this.add(panel);
    return toggle;
  };

  PanelStack.prototype.render = function() {
    var i, len, offsetY, panel, ref;
    offsetY = 0;
    ref = this.panels;
    for (i = 0, len = ref.length; i < len; i++) {
      panel = ref[i];
      panel.width = this.width;
      panel.y = offsetY;
      if (panel.visible == null) {
        panel.visible = true;
      }
      if (!panel.visible) {
        continue;
      }
      offsetY += panel.isAnimating ? panel.height : panel.calculatedHeight;
    }
    return this.height = offsetY;
  };

  PanelStack.prototype.handlePanelValueChange = function() {
    return this.emit("change:value", this);
  };

  PanelStack.prototype.handlePropertyRequest = function(request) {
    return this.emit("property:request", request);
  };

  PanelStack.prototype.read = function(data, defaults) {
    var i, len, property, ref, results;
    ref = this.properties;
    results = [];
    for (i = 0, len = ref.length; i < len; i++) {
      property = ref[i];
      results.push(property.read(data, defaults));
    }
    return results;
  };

  PanelStack.prototype.write = function(data) {
    return this.properties.reduce(function(result, property) {
      property.write(result);
      return result;
    }, data || {});
  };

  return PanelStack;

})(Layer);



},{"./../Defaults":2,"./PanelToggle":26}],26:[function(require,module,exports){
var Background, Defaults, Label,
  bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

Background = require("./../widgets/Background").Background;

Label = require("./../widgets/Label").Label;

exports.PanelToggle = (function(superClass) {
  extend(PanelToggle, superClass);

  function PanelToggle(options) {
    var ref, ref1;
    if (options == null) {
      options = {};
    }
    this.handlePanelActiveChange = bind(this.handlePanelActiveChange, this);
    this.handleClick = bind(this.handleClick, this);
    this.applyTarget = bind(this.applyTarget, this);
    PanelToggle.__super__.constructor.call(this, options = _.defaults(options, {
      height: Defaults.metrics.panelToggleHeight,
      backgroundColor: Defaults.colors.panelToggleBackground
    }));
    this.isOpen = true;
    this.isCollapsible = false;
    this.properties = [];
    this.on(Events.MouseDown, this.handleClick);
    this.icon = new Layer({
      parent: this,
      image: Defaults.images.iconPanelOpened,
      width: Defaults.metrics.panelToggleIconWidth,
      height: Defaults.metrics.panelToggleIconHeight,
      x: Defaults.metrics.panelToggleIconX,
      y: Defaults.metrics.panelToggleIconY
    });
    this.icon.visible = this.isCollapsible;
    this.label = new Label({
      parent: this,
      textStyle: Defaults.textStyles.panelToggle,
      x: this.isCollapsible ? Defaults.metrics.panelToggleLabelX : Defaults.metrics.panelToggleLabelX - Defaults.metrics.panelToggleIconWidth,
      y: Defaults.metrics.panelToggleLabelY,
      caption: options.caption || ((ref = options.targetPanel) != null ? ref.caption : void 0) || "Untitled"
    });
    Object.defineProperty(this, "targetPanel", {
      get: function() {
        return this.target;
      },
      set: function(value) {
        return this.setTarget(value);
      }
    });
    this.calculatedHeight = this.height;
    if (options.targetPanel != null) {
      this.setTarget(options.targetPanel);
    }
    console.log("target visible", (ref1 = options.targetPanel) != null ? ref1.visible : void 0);
  }

  PanelToggle.prototype.destroy = function() {
    if (this.target != null) {
      this.target.off("change:isActive", this.handlePanelActiveChange);
    }
    return PanelToggle.__super__.destroy.call(this);
  };

  PanelToggle.prototype.setTarget = function(target) {
    if (this.target !== target) {
      if (this.target != null) {
        this.target.off("change:isActive", this.handlePanelActiveChange);
      }
      this.target = target;
      if (this.target != null) {
        this.target.on("change:isActive", this.handlePanelActiveChange);
      }
      return this.applyTarget();
    }
  };

  PanelToggle.prototype.targetHeight = function() {
    var ref;
    return (ref = this.target) != null ? ref.calculatedHeight : void 0;
  };

  PanelToggle.prototype.toggle = function() {
    if (!this.isCollapsible) {
      return;
    }
    if (this.isOpen) {
      return this.close();
    } else {
      return this.open();
    }
  };

  PanelToggle.prototype.open = function(animate) {
    var animation;
    if (animate == null) {
      animate = true;
    }
    if (!this.isCollapsible) {
      return;
    }
    this.isOpen = true;
    if (this.target == null) {
      return;
    }
    if (!this.target.visible) {
      this.target.height = 0;
      this.target.visible = true;
    }
    if (animate) {
      animation = this.target.animate(_.extend({
        properties: {
          height: this.targetHeight()
        }
      }, Defaults.animations.panelOpen));
      animation.on(Events.AnimationEnd, (function(_this) {
        return function() {
          return _this.applyTarget();
        };
      })(this));
      return animation.start();
    } else {
      return this.applyTarget();
    }
  };

  PanelToggle.prototype.close = function(animate) {
    var animation;
    if (animate == null) {
      animate = true;
    }
    if (!this.isCollapsible) {
      return;
    }
    this.isOpen = false;
    if (this.target == null) {
      return;
    }
    this.target.visible = true;
    if (animate) {
      animation = this.target.animate(_.extend({
        properties: {
          height: 0
        }
      }, Defaults.animations.panelClose));
      animation.on(Events.AnimationEnd, (function(_this) {
        return function() {
          return _this.applyTarget();
        };
      })(this));
      return animation.start();
    } else {
      return this.applyTarget();
    }
  };

  PanelToggle.prototype.applyTarget = function() {
    this.target.animateStop();
    if (this.isOpen || !this.isCollapsible) {
      this.target.visible = true;
      this.target.height = this.targetHeight();
      this.icon.image = Defaults.images.iconPanelOpened;
      return console.log(this.label.caption, this.target.visible);
    } else {
      this.target.visible = false;
      this.target.height = 0;
      this.icon.image = Defaults.images.iconPanelClosed;
      return console.log(this.label.caption, this.target.visible);
    }
  };

  PanelToggle.prototype.handleClick = function() {
    if (!this.isCollapsible) {
      return;
    }
    return this.toggle();
  };

  PanelToggle.prototype.handlePanelActiveChange = function() {
    if (!this.isCollapsible) {
      return;
    }
    if (this.targetPanel.isActive) {
      this.open(false);
      return this.label.style = Defaults.textStyles.panelToggleActive;
    } else {
      return this.label.style = Defaults.textStyles.panelToggle;
    }
  };

  PanelToggle.prototype.hide = function(hide) {
    if (hide == null) {
      hide = true;
    }
    this.visible = !hide;
    return this.target.visible = !hide && this.isActive;
  };

  return PanelToggle;

})(Background);



},{"./../Defaults":2,"./../widgets/Background":28,"./../widgets/Label":29}],27:[function(require,module,exports){
var Defaults, PanelRow,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

PanelRow = require("./PanelRow").PanelRow;

exports.StereoInputRow = (function(superClass) {
  extend(StereoInputRow, superClass);

  function StereoInputRow(options) {
    var propertyA, propertyB, ref, ref1;
    if (options == null) {
      options = {};
    }
    StereoInputRow.__super__.constructor.call(this, _.defaults(options, {}));
    if (((ref = this.properties) != null ? ref.length : void 0) !== 2) {
      throw new Error("StereoInputRow requires exactly two properties set");
    }
    ref1 = this.properties, propertyA = ref1[0], propertyB = ref1[1];
    this.left = new propertyA.editorType({
      parent: this,
      property: propertyA,
      x: Defaults.metrics.stereoInputLeftX,
      y: Defaults.metrics.stereoInputLeftY
    });
    this.right = new propertyB.editorType({
      parent: this,
      property: propertyB,
      maxX: Defaults.metrics.stereoInputRightMaxX,
      y: Defaults.metrics.stereoInputRightY
    });
  }

  return StereoInputRow;

})(PanelRow);



},{"./../Defaults":2,"./PanelRow":24}],28:[function(require,module,exports){
var Defaults,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

exports.Background = (function(superClass) {
  extend(Background, superClass);

  function Background(options) {
    if (options == null) {
      options = {};
    }
    Background.__super__.constructor.call(this, _.defaults(options, {
      backgroundColor: Defaults.colors.panelBackground,
      style: {
        "box-sizing": "border-box",
        "border-bottom": Defaults.borders.panelSegmentBottom
      }
    }));
  }

  return Background;

})(Layer);



},{"./../Defaults":2}],29:[function(require,module,exports){
var Defaults,
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

Defaults = require("./../Defaults").Defaults;

exports.Label = (function(superClass) {
  extend(Label, superClass);

  function Label(options) {
    if (options == null) {
      options = {};
    }
    Label.__super__.constructor.call(this, options = _.defaults(options, {
      backgroundColor: null,
      textStyle: Defaults.textStyles.textInputHint
    }));
    this.textStyle = options.textStyle;
    Object.defineProperty(this, "caption", {
      get: function() {
        return this._caption;
      },
      set: function(value) {
        return this.setCaption(value);
      }
    });
    this.setCaption(options.caption);
    this.pixelAlign = true;
  }

  Label.prototype.setCaption = function(value) {
    var ref;
    if (value !== this._caption) {
      this._caption = value;
      ref = Utils.textSize(value, this.textStyle), this.width = ref.width, this.height = ref.height;
      this.html = value;
      return this.style = this.textStyle;
    }
  };

  Label.prototype.focus = function() {};

  Object.defineProperty(Label, "color", {
    get: function() {
      return this.textStyle.color;
    },
    set: function(value) {
      this.textStyle.color = value;
      return this.style = this.textStyle;
    }
  });

  return Label;

})(Layer);



},{"./../Defaults":2}]},{},[13])