assert = require "assert"
fs = require "fs"
FramerStudio = require "../main/viewer.coffee"
# FramerStudio.bridge.debug = true

CoffeeScript = require "coffee-script"

FramerStudio.runtime.CoffeeScript = CoffeeScript

describe "Bridge", ->

	it "should send", ->
		FramerStudio.bridge.send("hello", {})

	it "should send error", ->
		FramerStudio.bridge.sendError(new SyntaxError())

describe "Runtime", ->

	loadDataFile = (name) ->
		fs.readFileSync("#{__dirname}/data/#{name}", "utf8")

	compare = (f, a, b) ->
		result = FramerStudio.runtime[f](a)
		assert.equal(result, b, "\n\n" + result)

	compareFile = (f, a, b) ->
		compare(f, loadDataFile(a), loadDataFile(b))

	for name in ["test1", "test2", "test3"]
		it "should compile #{name}", ->
			FramerStudio.runtime.compile("")
			compareFile("compile" ,"#{name}.in", "#{name}.out")